Subject: Re: bug#71712: 29.3; Crash on OpenBSD

From: Po Lu <[email-masked]>
Date: Sat, 22 Jun 2024 20:59:04 +0800

Eli Zaretskii <[email-masked]> writes:

>> Date: Sat, 22 Jun 2024 10:28:43 +0100
>> From: Kirill A. Korinsky <[email-masked]>
>> Cc: [email-masked]
>> 
>> On Sat, 22 Jun 2024 08:45:01 +0100,
>> Eli Zaretskii <[email-masked]> wrote:
>> > 
>> > Thanks.  Is this reproducible?  If so, can you show a recipe,
>> > preferably starting from "emacs -Q"?
>> >
>> 
>> It crashes some times but I'd like to say that this is the first crash in
>> this month.
>> 
>> So, I have no idea how to reproduce, frankly speaking I just hasn't found
>> running emacs and discovered .core
>
> Too bad.  But quite expected, unfortunately.
>
>> The only clue that I have that I was switched to different virtual screen
>> and emacs was on not seen one.
>> 
>> Additionally, inside .xsession-errors I do have:
>> 
>>   0xbf72627f9a1 <XSetWMNormalHints+0x2fd71> at emacs
>>   0xbf72625a8ee <XSetWMNormalHints+0xacbe> at emacs
>>   0xbf72627f6c7 <XSetWMNormalHints+0x2fa97> at emacs
>>   Segmentation fault (core dumped) 
>
> Po Lu, any ideas based on this?

The printed offsets from XSetWMNormalHints are so large that the
function in these frames cannot possibly be our XSetWMNormalHints
replacement, sorry.